% Units
% Energy : eV
% Temperature : K
% 
% E : energy
% mu : electrochemical potential
% T : temperature

% Boltzmann constant
% kB = 8.6173324(78)E-5 eV/K

function f = FDdis(E,mu,T)

kB = 8.617332E-5;

if T <= 0
    if E < mu
        f = 1;
    elseif E == mu
        f = 1/2;
    else
        f = 0;
    end
else
    f = 1/( 1 + exp( (E-mu)/(kB*T) ) );
end

return