function [GinL,GinR,GoutL,GoutR] = Gamma_matrices(RE)

M = RE.M;

GinL = zeros(M,M);
GinR = zeros(M,M);
GoutL = zeros(M,M);
GoutR = zeros(M,M);

for m = 1:M
    for n = 1:M
        gamma = 0;
        for i = 1:M
            for j = 1:M
                gamma = gamma + sqrt(RE.gammaL(i)*RE.gammaL(j)) * RE.ES(i,m)  * RE.ES(j,n)';
            end
        end
        GinL(m,n) = gamma * FDdis(RE.EE(n),RE.muL,RE.T);
        GoutL(m,n) = gamma * (1-FDdis(RE.EE(n),RE.muL,RE.T));
        
        gamma = 0;
        for i = 1:M
            for j = 1:M
                gamma = gamma + sqrt(RE.gammaR(i)*RE.gammaR(j)) * RE.ES(i,m)  * RE.ES(j,n)';
            end
        end
        GinR(m,n) = gamma * FDdis(RE.EE(n),RE.muR,RE.T);
        GoutR(m,n) = gamma * (1-FDdis(RE.EE(n),RE.muR,RE.T));
    end
end

return