function [REmatrix,REvector] = Redfield(RE)

M = RE.M;

REmatrix = zeros(M^2,M^2);
REvector = zeros(M^2,1);

% Gamma_in matrix
Gin = RE.GinL + RE.GinR;

% Gamma_out matrix
Gout = RE.GoutL + RE.GoutR;

for i = 1:M
    for j = 1:M
        u = M*(i-1) + j;
        
        REvector(u) = ( Gin(i,j) + Gin(j,i)' )/2;
        
        REmatrix(u,u) = REmatrix(u,u) + 1i * ( RE.EE(i) - RE.EE(j) );
        
        for m = 1:M
            v = M*(m-1) + j;
            REmatrix(u,v) = REmatrix(u,v) - ( Gin(i,m) + Gout(i,m) )/2;
            
            v = M*(i-1) + m;
            REmatrix(u,v) = REmatrix(u,v) - ( Gin(j,m)' + Gout(j,m)' )/2;
        end
    end
end

% d state / dt = (1/hbar) ( REmatrix * state + REvector )

return