function Conductance = conductance(Current,Vsdaxis)

[MC,NC] = size(Current);
[MV,NV] = size(Vsdaxis);

if MC~=MV
    disp('MC~=MV')
    MC
    MV
end

if NC~=NV
    disp('NC~=NV')
    NC
    NV
end

M = MC;
N = NC;

if M~=1
    dim = M;
    Conductance = zeros(M,1);
elseif N~=1
    dim = N;
    Conductance = zeros(1,N);
else
    disp('M==1 && N==1')
    M
    N
end

Conductance(1) = (Current(2)-Current(1)) / (Vsdaxis(2)-Vsdaxis(1));
for i = 2:1:dim-1
    Conductance(i) = (Current(i+1)-Current(i)) / (Vsdaxis(i+1)-Vsdaxis(i)) / 2 ...
        + (Current(i)-Current(i-1)) / (Vsdaxis(i)-Vsdaxis(i-1)) / 2;
end
Conductance(dim) = (Current(dim)-Current(dim-1)) / (Vsdaxis(dim)-Vsdaxis(dim-1));

end