function current = current_Redfield(RE,SS)

M = RE.M;

CLin = 0;
CRin = 0;
CLout = 0;
CRout = 0;
for m = 1:M
    for n = 1:M
        u = M*(m-1) + n;
        if m==n
            CLin = CLin + ( RE.GinL(m,n) + RE.GinL(n,m)' ) * (1-SS(u)) / 2;
            CRin = CRin + ( RE.GinR(m,n) + RE.GinR(n,m)' ) * (1-SS(u)) / 2;
        else
            CLin = CLin + ( RE.GinL(m,n) + RE.GinL(n,m)' ) * (-SS(u)) / 2;
            CRin = CRin + ( RE.GinR(m,n) + RE.GinR(n,m)' ) * (-SS(u)) / 2;
        end
        CLout = CLout + ( RE.GoutL(n,m) + RE.GoutL(m,n)' ) * SS(u) / 2;
        CRout = CRout + ( RE.GoutR(n,m) + RE.GoutR(m,n)' ) * SS(u) / 2;
    end
end

epsilon = 1E-6; Cepsilon = 1E-9;
if abs(CLin'-CLin)/abs(CLin)>epsilon && abs(CLin)>Cepsilon
    CLin
end
if abs(CRin'-CRin)/abs(CRin)>epsilon && abs(CRin)>Cepsilon
    CRin
end
if abs(CLout'-CLout)/abs(CLout)>epsilon && abs(CLout)>Cepsilon
    CLout
end
if abs(CRout'-CRout)/abs(CRout)>epsilon && abs(CRout)>Cepsilon
    CRout
end

CL = CLin-CLout;
CR = CRout-CRin;
if abs((CLin-CLout)-(CRout-CRin))/abs(CLin-CLout)>epsilon && abs(CL)>Cepsilon
    CL
    CR
end
current = (CL+CL')/2;

return