% Units
% Energy : eV
% 
% H : Hamiltonian
% GL,GR : coupling matrices of left and right leads

function Tra = transmission(H,GL,GR,E)

dim = size(H,1);

% overlap matrix
S = eye(dim);

% self-energies
SigmaL = (-1i/2).*GL;
SigmaR = (-1i/2).*GR;

% Green function
G = eye(dim) / ( E.*S - H - SigmaL - SigmaR );

Tra = trace( G*GL*G'*GR );

return